CSIT-311 New Nightly CSIT perf job 62/2162/3
authorMiroslav Miklus <mmiklus@cisco.com>
Mon, 1 Aug 2016 13:44:14 +0000 (15:44 +0200)
committerMiroslav Miklus <mmiklus@cisco.com>
Mon, 1 Aug 2016 15:37:35 +0000 (17:37 +0200)
CSIT-311: PHASE 1 - create new nightly job

Change-Id: I1c7389d83d391abe5f1a48fb51593539ba41b773
Signed-off-by: Miroslav Miklus <mmiklus@cisco.com>
jjb/csit/csit.yaml
jjb/csit/include-raw-csit-vpp-perf-nightly.sh [new file with mode: 0644]

index 7c05122..10ee8ea 100644 (file)
@@ -7,6 +7,7 @@
         - 'csit-vpp-functional-{stream}-virl'
         - 'csit-vpp-verify-master-weekly'
         - 'csit-vpp-verify-{stream}-semiweekly'
+        - 'csit-vpp-verify-perf-master-nightly-all'
 
     project: 'csit'
     branch: 'master'
                     xpath-type: 'nodeset'
                     xpath: '//*[@framesize="78" and contains(@tags,"PDR") and @workerthreads="4"]'
 
+- job-template:
+    name: 'csit-vpp-verify-perf-master-nightly-all'
+    description: 'Purpose of this job is to validate latest vpp build from corresponding branch stored in nexus against verified CSIT codebase of corresponding branch.'
+
+    project-type: freestyle
+    node: verify
+    concurrent: false
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+
+    wrappers:
+        - ssh-agent-credentials:
+            users:
+                - '{ssh-credentials}'
+
+    triggers:
+        - timed: '0 20 * * *'
+
+    builders:
+        - shell: 'echo "BRANCH_ID={branch-id}" > $WORKSPACE/variables.prop'
+        - inject:
+            properties-file: variables.prop
+        - shell:
+            !include-raw-escape: jjb/csit/include-raw-csit-vpp-perf-nightly.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'csit/archive/*.*'
+            latest-only: false
+
+        - robot-report:
+            output-path: 'csit/archive'
+
+        - plot:
+            - title: 'RFC2544 binary search with 64B, worker-thread=1, rxq=1, NDR'
+              yaxis: 'Packets Per Second'
+              group: 'RFC2544:NDR'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-verify-master-nightly-1.csv'
+              series:
+                  - file: 'csit/output.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64" and contains(@tags,"NDR") and @workerthreads="1"]'
+            - title: 'RFC2544 binary search with 78B, worker-thread=1, rxq=1, NDR'
+              yaxis: 'Packets Per Second'
+              group: 'RFC2544:NDR'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-verify-master-nightly-2.csv'
+              series:
+                  - file: 'csit/output.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78" and contains(@tags,"NDR") and @workerthreads="1"]'
+            - title: 'RFC2544 binary search with 64B, worker-thread=2, rxq=1, NDR'
+              yaxis: 'Packets Per Second'
+              group: 'RFC2544:NDR'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-verify-master-nightly-3.csv'
+              series:
+                  - file: 'csit/output.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64" and contains(@tags,"NDR") and @workerthreads="2"]'
+            - title: 'RFC2544 binary search with 78B, worker-thread=2, rxq=1, NDR'
+              yaxis: 'Packets Per Second'
+              group: 'RFC2544:NDR'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-verify-master-nightly-4.csv'
+              series:
+                  - file: 'csit/output.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78" and contains(@tags,"NDR") and @workerthreads="2"]'
+            - title: 'RFC2544 binary search with 64B, worker-thread=4, rxq=2, NDR'
+              yaxis: 'Packets Per Second'
+              group: 'RFC2544:NDR'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-verify-master-nightly-5.csv'
+              series:
+                  - file: 'csit/output.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64" and contains(@tags,"NDR") and @workerthreads="4"]'
+            - title: 'RFC2544 binary search with 78B, worker-thread=4, rxq=2, NDR'
+              yaxis: 'Packets Per Second'
+              group: 'RFC2544:NDR'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-verify-master-nightly-6.csv'
+              series:
+                  - file: 'csit/output.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78" and contains(@tags,"NDR") and @workerthreads="4"]'
+            - title: 'RFC2544 binary search with 64B, worker-thread=1, rxq=1, PDR=0.5%'
+              yaxis: 'Packets Per Second'
+              group: 'RFC2544:PDR'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-verify-master-nightly-7.csv'
+              series:
+                  - file: 'csit/output.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64" and contains(@tags,"PDR") and @workerthreads="1"]'
+            - title: 'RFC2544 binary search with 78B, worker-thread=1, rxq=1, PDR=0.5%'
+              yaxis: 'Packets Per Second'
+              group: 'RFC2544:PDR'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-verify-master-nightly-8.csv'
+              series:
+                  - file: 'csit/output.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78" and contains(@tags,"PDR") and @workerthreads="1"]'
+            - title: 'RFC2544 binary search with 64B, worker-thread=2, rxq=1, PDR=0.5%'
+              yaxis: 'Packets Per Second'
+              group: 'RFC2544:PDR'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-verify-master-nightly-9.csv'
+              series:
+                  - file: 'csit/output.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64" and contains(@tags,"PDR") and @workerthreads="2"]'
+            - title: 'RFC2544 binary search with 78B, worker-thread=2, rxq=1, PDR=0.5%'
+              yaxis: 'Packets Per Second'
+              group: 'RFC2544:PDR'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-verify-master-nightly-10.csv'
+              series:
+                  - file: 'csit/output.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78" and contains(@tags,"PDR") and @workerthreads="2"]'
+            - title: 'RFC2544 binary search with 64B, worker-thread=4, rxq=2, PDR=0.5%'
+              yaxis: 'Packets Per Second'
+              group: 'RFC2544:PDR'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-verify-master-nightly-11.csv'
+              series:
+                  - file: 'csit/output.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64" and contains(@tags,"PDR") and @workerthreads="4"]'
+            - title: 'RFC2544 binary search with 78B, worker-thread=4, rxq=2, PDR=0.5%'
+              yaxis: 'Packets Per Second'
+              group: 'RFC2544:PDR'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-verify-master-nightly-12.csv'
+              series:
+                  - file: 'csit/output.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78" and contains(@tags,"PDR") and @workerthreads="4"]'
+
 - parameter:
     name: test-type-parameter
     parameters:
diff --git a/jjb/csit/include-raw-csit-vpp-perf-nightly.sh b/jjb/csit/include-raw-csit-vpp-perf-nightly.sh
new file mode 100644 (file)
index 0000000..71e6803
--- /dev/null
@@ -0,0 +1,49 @@
+#!/bin/bash
+set -xeu -o pipefail
+
+# check BRANCH_ID value
+if [ "$BRANCH_ID" == "" ]; then
+    echo "branch_id not provided => 'master' will be used"
+    BRANCH_ID="master"
+fi
+
+# clone csit
+git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit
+
+# if the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+    echo "Failed to run: git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit"
+    exit 1
+fi
+
+cd csit
+
+# get the latest verified version of the required branch
+BRANCH_NAME=$(echo $(git branch -r | grep -E "${BRANCH_ID}-[0-9]+" | tail -n 1))
+
+if [ "${BRANCH_NAME}" == "" ]; then
+    echo "No verified version found for requested branch - exiting"
+    exit 1
+fi
+
+# remove 'origin/' from the branch name
+BRANCH_NAME=$(echo ${BRANCH_NAME#origin/})
+
+# checkout to the required branch
+git checkout ${BRANCH_NAME}
+
+export TEST_TAG="PERFTEST_NIGHTLY"
+
+# execute csit bootstrap script if it exists
+if [ -e bootstrap-verify-perf.sh ]
+then
+    # make sure that bootstrap.sh is executable
+    chmod +x bootstrap-verify-perf.sh
+    # run the script
+    ./bootstrap-verify-perf.sh
+else
+    echo 'ERROR: No bootstrap-verify-perf.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :